<?php
/**
 * @category    Pinpoint
 * @package     Pinpoint_AuthorComments
 * @copyright   Copyright (c) 2019 Pinpoint Designs. (http://www.pinpointdesigns.co.uk)
<<<<<<< HEAD
 * @author      Ahmed Goda <ahmed.goda@bytology.co.uk>
=======
 * @author      Ahmed Goda <hello@pinpointdesigns.co.uk>
>>>>>>> Change Author
 */

namespace Pinpoint\AuthorComments\Setup;

use Magento\Framework\Setup\{ModuleContextInterface, InstallSchemaInterface, SchemaSetupInterface};
use Magento\Framework\Db\Ddl\Table;

/**
 * InstallSchema class
 */
class InstallSchema implements InstallSchemaInterface
{
    /**
     * {@inheritdoc}
     */
    public function install(SchemaSetupInterface $setup, ModuleContextInterface $context)
    {
        $installer = $setup;

        $installer->startSetup();

        $tableName = $installer->getTable('sales_order_status_history');

        if (true === $setup->getConnection()->isTableExists($tableName)) {
            $installer->getConnection()->addColumn(
                $installer->getTable($tableName),
                'author_comment',
                ['nullable' => true, 'type'=>Table::TYPE_TEXT, 'comment'=>'Author Comment']
            );
        }
        
        $installer->endSetup();
    }
}